#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 9. General Libraries

- Prev

  libmbim-1.26.2

- Next

  libportal-0.5

- Up
- Home

# libpaper-1.1.24+nmu5

## Introduction to libpaper

This package is intended to provide a simple way for applications to take actions based on a system or user-specified paper size.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://ftp.debian.org/debian/pool/main/libp/libpaper/libpaper_1.1.24+nmu5.tar.gz

- Download MD5 sum: 38bc55688c0fc5544edaa5a951a45fbd

- Download size: 48 KB

- Estimated disk space required: 3.5 MB

- Estimated build time: less than 0.1 SBU

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libpaper

## Installation of libpaper

Install libpaper by running the following commands:

    autoreconf -fi                &&
    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install &&
    mkdir -vp /etc/libpaper.d

The /etc/libpaper.d directory contains scripts to run after the paper size has been changed. This package puts no scripts here, but other packages may. If the fcron package has not been installed, create the run-parts script as shown in the Fcron Configuration Information section.

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

mkdir -pv /etc/libpaper.d: libpaper expects that packages will install files into this directory.

## Configuring libpaper

###

#### Configuration Information

Create `/etc/papersize` to set the default system paper size. Issue the following command as the `root` user to set this to 'A4' (libpaper prefers the lowercase form). You may wish to use a different size, such as letter.

    cat > /etc/papersize << "EOF"
    a4
    EOF

## Contents

Installed Programs: paperconf, paperconfig, run-parts
Installed Library: libpaper.so
Installed Directories: /etc/libpaper.d

### Short Descriptions

paperconf | prints paper configuration information
paperconfig | configures the system default paper size
`libpaper.so` | contains functions for interrogating the paper library

Last updated on

- Prev

  libmbim-1.26.2

- Next

  libportal-0.5

- Up
- Home